読者です 読者をやめる 読者になる 読者になる

Learn to Live and Live to Learn

IT(たまにビジネス)に関する記事を読んで、考えて、使ってみたことをまとめる場。

途中でAPIレベルを変更する方法

androidアプリを作っていて、途中で使いたいと思ったデザインが
あるAPIレベル以上じゃないと利用できない、でも最初に設定した
ミニマムSDKバージョンはそれに達していない…!ということ、ありませんか。

そんなときはManifestファイルです。

use-sdkタグの変えたい箇所を書き換えます。

before

<uses-sdk
    android:minSdkVersion="11"
    android:targetSdkVersion="17" />

after

<uses-sdk
    android:minSdkVersion="14"
    android:targetSdkVersion="17" />

参考URL
APIレベル変更方法
コチョナナバ: Androidアプリの開発途中でAPI levelを変更する
SDKバージョンとOSバージョンの対応表
AndroidのバージョンとAPIレベルの対応関係